Subject: bug#49372: closed (Re: bug#49372: lagrange: illegal instruction)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 05 Jul 2021 06:13:02 +0000

Your bug report

#49372: lagrange: illegal instruction

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49372: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49372
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#49372: lagrange: illegal instruction
From: Efraim Flashner <[email-masked]>
To: Christopher Howard <[email-masked]>
Cc: [email-masked]
Date: Mon, 5 Jul 2021 09:11:12 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

It sounds like everything's working now so I'm going to close the bug.

On Sun, Jul 04, 2021 at 05:40:41PM -0800, Christopher Howard wrote:
> I rebuilt from source and challenge now seems to be okay:
> 
> christopher@nightshade ~/Repos/guix-working$ guix challenge lagrange
> 
> 1 store items were analyzed:
>   - 1 (100.0%) were identical
>   - 0 (0.0%) differed
>   - 0 (0.0%) were inconclusive
> 
> -- 
> Christopher Howard
> my gemini capsule: gemini://gem.librehacker.com
> gemini browser: https://git.skyjake.fi/gemini/lagrange/releases
> 
> 
> On Sun, 2021-07-04 at 16:40 -0800, Christopher Howard wrote:
> > It seems to have downloaded as a substitute, and I was able to launch the program without getting an error.
> > 
> > ```
> > christopher@nightshade ~/Repos/guix-working$ guix build lagrange
> > 11.0 MB will be downloaded:
> >    /gnu/store/n45izfbldxjxdzfry2l4gn81lm18gmp0-lagrange-1.5.2
> > substituting /gnu/store/n45izfbldxjxdzfry2l4gn81lm18gmp0-lagrange-1.5.2...
> > downloading from https://ci.guix.gnu.org/nar/lzip/n45izfbldxjxdzfry2l4gn81lm18gmp0-lagrange-1.5.2 ...
> >  lagrange-1.5.2  11.4MiB                                                                                                                                                   4.4MiB/s 00:03
> > [##################] 100.0%
> > 
> > The following graft will be made:
> >    /gnu/store/9n5nyy324bp50yjc7pxv6a53zq7b9cza-lagrange-1.5.2.drv
> > applying 3 grafts for /gnu/store/9n5nyy324bp50yjc7pxv6a53zq7b9cza-lagrange-1.5.2.drv ...
> > grafting '/gnu/store/n45izfbldxjxdzfry2l4gn81lm18gmp0-lagrange-1.5.2' -> '/gnu/store/jj873xpq7h0rxm3rzc4b7rm6kzwnbby4-lagrange-1.5.2'...
> > successfully built /gnu/store/9n5nyy324bp50yjc7pxv6a53zq7b9cza-lagrange-1.5.2.drv
> > /gnu/store/jj873xpq7h0rxm3rzc4b7rm6kzwnbby4-lagrange-1.5.2
> > christopher@nightshade ~/Repos/guix-working$ /gnu/store/jj873xpq7h0rxm3rzc4b7rm6kzwnbby4-lagrange-1.5.2/bin/lagrange
> > 
> > (launched without trouble)
> > ```
> > 
> 

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: lagrange: illegal instruction
From: Christopher Howard <[email-masked]>
To: Guix Bug Reports <[email-masked]>
Date: Sat, 03 Jul 2021 19:32:45 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, I've discovered lagrange is another one of those packages which, if I use a substitute, it gives the error "illegal instruction" when I try to run it. but if I download the source and build it
myself, I have no trouble running it. I'm certain without any research that this is a reproducibility error, due to native instructions not on my processor, but I could do the guix challenge if
somebody could remind me exactly how to tell guix to rebuild that one package from source.

christopher@nightshade ~$ neofetch --stdout
christopher@nightshade 
---------------------- 
OS: Guix System b65af6ed9120234cf655e8e76317558cfbd02477 x86_64 
Host: GA-880GM-UD2H 
Kernel: 5.12.14-gnu 
Uptime: 48 mins 
Packages: 107 (guix-system), 103 (guix-user) 
Shell: bash 5.0.16 
Resolution: 1920x1200 
DE: GNOME 3.34.5 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: kitty 
CPU: AMD Athlon II X3 455 (3) @ 3.300GHz 
GPU: NVIDIA GeForce 8400 GS Rev. 3 
Memory: 1419MiB / 7957MiB 

-- 
Christopher Howard
my gemini capsule: gemini://gem.librehacker.com
gemini browser: https://git.skyjake.fi/gemini/lagrange/releases